Bug 139431 - can not form a cluster: stuck in "Joining" membership state
can not form a cluster: stuck in "Joining" membership state
Status: CLOSED CURRENTRELEASE
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: cman (Show other bugs)
4
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Christine Caulfield
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-15 17:30 EST by Corey Marthaler
Modified: 2009-04-16 15:59 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-16 11:28:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Marthaler 2004-11-15 17:30:42 EST
Description of problem:
A regression was introduced which breaks the ability to join a cman
cluster.

The first node to 'cman_tool join' gets in but all other are stuck at
"Joining":

[root@morph-01 root]# cat /proc/cluster/status
Version: 3.0.1
Config version: 1
Cluster name: morph-cluster
Cluster ID: 41652
Membership state: Cluster-Member
Nodes: 1
Expected_votes: 5
Total_votes: 1
Quorum: 3  Activity blocked
Active subsystems: 0
Node addresses: 192.168.44.61

[root@morph-02 root]# cat /proc/cluster/status
Version: 3.0.1
Config version: 1
Cluster name: morph-cluster
Cluster ID: 41652
Membership state: Joining

[root@morph-03 root]# cat /proc/cluster/status
Version: 3.0.1
Config version: 1
Cluster name: morph-cluster
Cluster ID: 41652
Membership state: Joining

[root@morph-04 root]# cat /proc/cluster/status
Version: 3.0.1
Config version: 1
Cluster name: morph-cluster
Cluster ID: 41652
Membership state: Joining

[root@morph-05 root]# cat /proc/cluster/status
Version: 3.0.1
Config version: 1
Cluster name: morph-cluster
Cluster ID: 41652
Membership state: Joining

[root@morph-01 root]# cat /proc/cluster/nodes
Node  Votes Exp Sts  Name
   1    1    5   M   morph-01


marking high priority as GFS6.1 testing is blocked behind this

Version-Release number of selected component (if applicable):
GFS <CVS> (built Nov 15 2004 16:19:15) installed

How reproducible:
Always
Comment 1 Christine Caulfield 2004-11-16 03:36:18 EST
Argh! sorry. A bad mod from an old tree crept in there.

Checking in membership.c;
/cvs/cluster/cluster/cman-kernel/src/membership.c,v  <--  membership.c
new revision: 1.32; previous revision: 1.31
done
Comment 2 Corey Marthaler 2004-11-16 11:28:13 EST
The cluster is able to join now.

Note You need to log in before you can comment on or make changes to this bug.